<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns="http://www.ironspeed.com/designer" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:nfn="urn:PageTransformCodeGen">
  <Generator>Iron Speed Designer</Generator>
  <Version>5.1</Version>
  <Self>
    <Name>EditProductsPage</Name>
    <Type>Page</Type>
    <GenerateDirectory>Products</GenerateDirectory>
    <Layout>Products\EditProductsPage.html</Layout>
    <DisplayName>EditProductsPage</DisplayName>
    <Description>Standard record panel.</Description>
    <CheckSum>-1151101492-10389</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>&lt;%#String.Concat(GetResourceValue("Title:Edit", "Training1")," Products") %&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageHeader</Name>
      <Type>Header</Type>
      <Layout>..\Header and Footer\Header.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Menu</Name>
      <Type>Menu</Type>
      <Layout>..\Menu Panels\Menu.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>HiliteSettings</Name>
          <Value>ProductsMenuItem</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ProductsRecordControl</Name>
      <Type>Record</Type>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>URL</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSourceArg</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>URL</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>VirtualId</Name>
          <Value>0</Value>
        </Attribute>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ProductsTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Edit Products</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ProductNameLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>ProductName</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%ProductName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>SupplierIDLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>SupplierID</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%SupplierID</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CategoryIDLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>CategoryID</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%CategoryID</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>QuantityPerUnitLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>QuantityPerUnit</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%QuantityPerUnit</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UnitPriceLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>UnitPrice</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%UnitPrice</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UnitsInStockLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>UnitsInStock</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%UnitsInStock</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UnitsOnOrderLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>UnitsOnOrder</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%UnitsOnOrder</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ReorderLevelLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>ReorderLevel</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%ReorderLevel</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>DiscontinuedLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>ProductsRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Discontinued</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Products</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Products%Discontinued</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ProductName</Name>
      <Type>FieldValue</Type>
      <Field>ProductName</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>ProductNameRequiredFieldValidator:Enabled</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>ProductNameRequiredFieldValidator:Text</Name>
          <Value>*</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>SupplierID</Name>
      <Type>FieldValue</Type>
      <Field>SupplierID</Field>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
        <Attribute>
          <Name>MaxGeneratedItems</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>MinListItems</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>SupplierIDRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CategoryID</Name>
      <Type>FieldValue</Type>
      <Field>CategoryID</Field>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
        <Attribute>
          <Name>MaxGeneratedItems</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>MinListItems</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>CategoryIDRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>QuantityPerUnit</Name>
      <Type>FieldValue</Type>
      <Field>QuantityPerUnit</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>QuantityPerUnitRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UnitPrice</Name>
      <Type>FieldValue</Type>
      <Field>UnitPrice</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>UnitPriceRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UnitsInStock</Name>
      <Type>FieldValue</Type>
      <Field>UnitsInStock</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>UnitsInStockRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UnitsOnOrder</Name>
      <Type>FieldValue</Type>
      <Field>UnitsOnOrder</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>UnitsOnOrderRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ReorderLevel</Name>
      <Type>FieldValue</Type>
      <Field>ReorderLevel</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>ReorderLevelRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Discontinued</Name>
      <Type>FieldValue</Type>
      <Field>Discontinued</Field>
      <FieldValueStyle>CheckBox</FieldValueStyle>
      <Table>Products</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>UncheckedValue</Name>
          <Value>No</Value>
        </Attribute>
        <Attribute>
          <Name>CheckedValue</Name>
          <Value>Yes</Value>
        </Attribute>
        <Attribute>
          <Name>TreatOtherValuesAsChecked</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>ProductsRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>SaveButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>true</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Save</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>UpdateData</Value>
        </Attribute>
        <Attribute>
          <Name>PostBack</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CancelButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Cancel</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageFooter</Name>
      <Type>Footer</Type>
      <Layout>..\Header and Footer\Footer.html</Layout>
    </ContainedComponent>
  </ComposedOf>
  <PageDefinition>&lt;![CDATA[&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;PageDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Self&gt;
    &lt;Name&gt;EditProductsPage&lt;/Name&gt;
    &lt;Version&gt;5.1&lt;/Version&gt;
    &lt;Generator&gt;Iron Speed Designer&lt;/Generator&gt;
    &lt;Title&gt;{Title:Edit} Products&lt;/Title&gt;
    &lt;Description&gt;Standard record panel.&lt;/Description&gt;
    &lt;DisplayName&gt;EditProductsPage&lt;/DisplayName&gt;
    &lt;GenerateDirectory&gt;Products&lt;/GenerateDirectory&gt;
    &lt;Layout&gt;Products\EditProductsPage.html&lt;/Layout&gt;
    &lt;Type&gt;Page&lt;/Type&gt;
    &lt;PageLayoutName /&gt;
  &lt;/Self&gt;
  &lt;HasSkipNavigationLink&gt;false&lt;/HasSkipNavigationLink&gt;
  &lt;HasMenu&gt;true&lt;/HasMenu&gt;
  &lt;Menus&gt;
    &lt;Menu&gt;
      &lt;Name&gt;Menu&lt;/Name&gt;
      &lt;Layout&gt;..\Menu Panels\Menu.html&lt;/Layout&gt;
      &lt;HiliteSettings&gt;ProductsMenuItem&lt;/HiliteSettings&gt;
      &lt;Orientation&gt;HORIZONTAL&lt;/Orientation&gt;
      &lt;ImageURL /&gt;
      &lt;IsPresentInMenu&gt;false&lt;/IsPresentInMenu&gt;
      &lt;DisplayName /&gt;
      &lt;Type /&gt;
      &lt;Tooltip /&gt;
      &lt;Level&gt;1&lt;/Level&gt;
      &lt;Order&gt;150&lt;/Order&gt;
    &lt;/Menu&gt;
  &lt;/Menus&gt;
  &lt;HasHeader&gt;true&lt;/HasHeader&gt;
  &lt;Header&gt;
    &lt;Name&gt;PageHeader&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Header.html&lt;/Layout&gt;
  &lt;/Header&gt;
  &lt;Panels&gt;
    &lt;Panel&gt;
      &lt;ID&gt;1&lt;/ID&gt;
      &lt;Name&gt;ProductsRecordControl&lt;/Name&gt;
      &lt;AboveTableFilterButtonName&gt;ProductsFilterButton&lt;/AboveTableFilterButtonName&gt;
      &lt;AbvTblFilterButtonConsumers /&gt;
      &lt;ButtonGroupName&gt;ProductsButtons&lt;/ButtonGroupName&gt;
      &lt;CausesSave&gt;false&lt;/CausesSave&gt;
      &lt;ColumnSpan&gt;0&lt;/ColumnSpan&gt;
      &lt;DataSource&gt;URL&lt;/DataSource&gt;
      &lt;DataSourceArg&gt;Products&lt;/DataSourceArg&gt;
      &lt;FieldLabels&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;ProductName&lt;/FieldName&gt;
          &lt;Name&gt;ProductNameLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;SupplierID&lt;/FieldName&gt;
          &lt;Name&gt;SupplierIDLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;CategoryID&lt;/FieldName&gt;
          &lt;Name&gt;CategoryIDLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;QuantityPerUnit&lt;/FieldName&gt;
          &lt;Name&gt;QuantityPerUnitLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;UnitPrice&lt;/FieldName&gt;
          &lt;Name&gt;UnitPriceLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;UnitsInStock&lt;/FieldName&gt;
          &lt;Name&gt;UnitsInStockLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;UnitsOnOrder&lt;/FieldName&gt;
          &lt;Name&gt;UnitsOnOrderLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;ReorderLevel&lt;/FieldName&gt;
          &lt;Name&gt;ReorderLevelLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Discontinued&lt;/FieldName&gt;
          &lt;Name&gt;DiscontinuedLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
      &lt;/FieldLabels&gt;
      &lt;FieldValues&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;ProductName&lt;/FieldName&gt;
          &lt;Name&gt;ProductName&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;SupplierID&lt;/FieldName&gt;
          &lt;Name&gt;SupplierID&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;DropDownList&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;CategoryID&lt;/FieldName&gt;
          &lt;Name&gt;CategoryID&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;DropDownList&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;QuantityPerUnit&lt;/FieldName&gt;
          &lt;Name&gt;QuantityPerUnit&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;UnitPrice&lt;/FieldName&gt;
          &lt;Name&gt;UnitPrice&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Currency&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;UnitsInStock&lt;/FieldName&gt;
          &lt;Name&gt;UnitsInStock&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;UnitsOnOrder&lt;/FieldName&gt;
          &lt;Name&gt;UnitsOnOrder&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;ReorderLevel&lt;/FieldName&gt;
          &lt;Name&gt;ReorderLevel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Discontinued&lt;/FieldName&gt;
          &lt;Name&gt;Discontinued&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;ProductsRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Products&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Boolean&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;CheckBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
      &lt;/FieldValues&gt;
      &lt;FilterGroupName&gt;ProductsFilters&lt;/FilterGroupName&gt;
      &lt;ForeignKeyName /&gt;
      &lt;GrandTotalGroup&gt;ProductsGrandTotal&lt;/GrandTotalGroup&gt;
      &lt;GrandTotalText&gt;ProductsGrandTotalText&lt;/GrandTotalText&gt;
      &lt;HasButtonPaginationBar&gt;false&lt;/HasButtonPaginationBar&gt;
      &lt;HasColumnHeaders&gt;true&lt;/HasColumnHeaders&gt;
      &lt;HasFilter&gt;false&lt;/HasFilter&gt;
      &lt;HasGrandTotals&gt;false&lt;/HasGrandTotals&gt;
      &lt;HasPageTotals&gt;false&lt;/HasPageTotals&gt;
      &lt;HasPagination&gt;false&lt;/HasPagination&gt;
      &lt;HasPanelButtons&gt;false&lt;/HasPanelButtons&gt;
      &lt;HasPanelHeader&gt;true&lt;/HasPanelHeader&gt;
      &lt;HasQueryDefinition&gt;false&lt;/HasQueryDefinition&gt;
      &lt;HasRowButtons&gt;false&lt;/HasRowButtons&gt;
      &lt;HasRowSelectionCheckbox&gt;false&lt;/HasRowSelectionCheckbox&gt;
      &lt;HasSearch&gt;false&lt;/HasSearch&gt;
      &lt;HasSortableColumn&gt;false&lt;/HasSortableColumn&gt;
      &lt;HeaderRowName&gt;ProductsHeaderRow&lt;/HeaderRowName&gt;
      &lt;HideDataUntilSearched&gt;false&lt;/HideDataUntilSearched&gt;
      &lt;InsideControl /&gt;
      &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
      &lt;IsPlaceHolder&gt;false&lt;/IsPlaceHolder&gt;
      &lt;PageSize&gt;10&lt;/PageSize&gt;
      &lt;PageTotalGroup&gt;ProductsPageTotal&lt;/PageTotalGroup&gt;
      &lt;PageTotalText&gt;ProductsPageTotalText&lt;/PageTotalText&gt;
      &lt;Pagination /&gt;
      &lt;PaginationLayout&gt;..\Shared\Pagination.html&lt;/PaginationLayout&gt;
      &lt;PanelDataSourceType /&gt;
      &lt;PanelHeader&gt;
        &lt;PanelTitle&gt;ProductsTitle&lt;/PanelTitle&gt;
        &lt;PanelHeaderDisplayText&gt;Edit {TABLE_NAME}&lt;/PanelHeaderDisplayText&gt;
        &lt;TotalItems&gt;ProductsTotalItems&lt;/TotalItems&gt;
        &lt;TotalItemsText&gt;ProductsTotalItemsText&lt;/TotalItemsText&gt;
        &lt;HasExpandCollapseIcon&gt;true&lt;/HasExpandCollapseIcon&gt;
        &lt;HasPanelButton&gt;false&lt;/HasPanelButton&gt;
      &lt;/PanelHeader&gt;
      &lt;PanelPath&gt;Data Entry\Edit Record - Label on Side.xml&lt;/PanelPath&gt;
      &lt;PanelStyle&gt;Label on Side&lt;/PanelStyle&gt;
      &lt;PanelType&gt;Edit One Record&lt;/PanelType&gt;
      &lt;RecordRowName&gt;ProductsRecordRow&lt;/RecordRowName&gt;
      &lt;SearchGroupName&gt;ProductsSearchGroup&lt;/SearchGroupName&gt;
      &lt;SelectRowCheckBoxName&gt;ProductsRecordRowSelection&lt;/SelectRowCheckBoxName&gt;
      &lt;TableName&gt;Products&lt;/TableName&gt;
      &lt;TabContainerName&gt;ProductsTabContainer&lt;/TabContainerName&gt;
      &lt;TabPanelName&gt;ProductsTabPanel&lt;/TabPanelName&gt;
      &lt;ToggleAllName&gt;ProductsToggleAll&lt;/ToggleAllName&gt;
      &lt;ToolTip&gt;Edit individual database records.  Optionally includes child tables (one-to-many relationships).&lt;/ToolTip&gt;
      &lt;XSLTemplateName&gt;EditRecord-LabelonSide&lt;/XSLTemplateName&gt;
      &lt;PlaceHolderName /&gt;
    &lt;/Panel&gt;
  &lt;/Panels&gt;
  &lt;HasFooter&gt;true&lt;/HasFooter&gt;
  &lt;Footer&gt;
    &lt;Name&gt;PageFooter&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Footer.html&lt;/Layout&gt;
  &lt;/Footer&gt;
  &lt;PageButtons&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;SaveButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;SaveButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;true&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;UpdateData&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Save&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;CancelButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;CancelButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Cancel&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
  &lt;/PageButtons&gt;
  &lt;HasRecordPanel&gt;true&lt;/HasRecordPanel&gt;
  &lt;ChildPanelLayoutStyle&gt;Stacked&lt;/ChildPanelLayoutStyle&gt;
&lt;/PageDefinition&gt;]]&gt;</PageDefinition>
</ComponentDefinition>